# Interface ISizeOptions

Available options for the size templateHelpers.

Example:

## Index

### Properties

- base
- precision

## Properties

### Optional base

base: number

- Defined in ui/Templates/CoreHelpers.ts :369

The base into which to format the value.

Formula: value * 10^(3 * base)

Examples:

> Base 0:

> 1 => 1B

> 1000 => 1KB

> Base 1:

> 1 => 1KB

> 1000 => 1MB

### Optional precision

precision: number

- Defined in ui/Templates/CoreHelpers.ts :387

The precision to use to format the size (i.e., the number of digits to display after the decimal)

Examples:

> Precision 0:

> 1.0 => 1

> 1.85 => 1

> Precision 1:

> 1.0 => 1.0

> 1.85 => 1.8

### Hierarchy

- ISizeOptions